lookup_create
Prev | Other Functions | Next

## Name

lookup_create — lookup a dentry, creating it if it doesn't exist

## Synopsis

`struct dentry * lookup_create (` | struct nameidata * | nd,
| int | is_dir`)`;

## Arguments

`nd`

  nameidata info

`is_dir`

  directory flag

## Description

Simple function to lookup and return a dentry and create it if it doesn't exist. Is SMP-safe.

Returns with nd->path.dentry->d_inode->i_mutex locked.

Prev | Up | Next
lookup_one_len | Home | freeze_bdev